services:
    _defaults:
        autowire: true
        autoconfigure: true

    Chill\MainBundle\Validation\:
        resource: '../../Validation'

    chill_main.validator_user_circle_consistency:
        class: Chill\MainBundle\Validator\Constraints\Entity\UserCircleConsistencyValidator
        arguments:
            - "@chill.main.security.authorization.helper"
        tags:
            - { name: "validator.constraint_validator" }

    Chill\MainBundle\Validation\Validator\UserUniqueEmailAndUsername:
        arguments:
            $em: '@Doctrine\ORM\EntityManagerInterface'
        tags:
            - { name: "validator.constraint_validator" }
